# ApplicationFramework
PTKernel
PStandard

# PStandard_ArrayNode Class Reference

`#include <PStandard_ArrayNode.hxx>`

Inheritance diagram for PStandard_ArrayNode:

[legend]

## Public Member Functions

Standard_EXPORT | PStandard_ArrayNode ()
| Creates an empty ArrayNode. .
| PStandard_ArrayNode (const Storage_stCONSTclCOM &a)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT PStandard_ArrayNode::PStandard_ArrayNode | ( |  | ) |

PStandard_ArrayNode::PStandard_ArrayNode | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PStandard_ArrayNode::Handle | ( | Standard_Type |  | ) | const

Reimplemented in DBC_VArrayNodeOfVArrayOfCharacter, DBC_VArrayNodeOfVArrayOfExtCharacter, DBC_VArrayNodeOfVArrayOfInteger, DBC_VArrayNodeOfVArrayOfReal, PColgp_VArrayNodeOfFieldOfHArray1OfCirc2d, PColgp_VArrayNodeOfFieldOfHArray1OfDir, PColgp_VArrayNodeOfFieldOfHArray1OfDir2d, PColgp_VArrayNodeOfFieldOfHArray1OfLin2d, PColgp_VArrayNodeOfFieldOfHArray1OfPnt, PColgp_VArrayNodeOfFieldOfHArray1OfPnt2d, PColgp_VArrayNodeOfFieldOfHArray1OfVec, PColgp_VArrayNodeOfFieldOfHArray1OfVec2d, PColgp_VArrayNodeOfFieldOfHArray1OfXY, PColgp_VArrayNodeOfFieldOfHArray1OfXYZ, PColgp_VArrayNodeOfFieldOfHArray2OfCirc2d, PColgp_VArrayNodeOfFieldOfHArray2OfDir, PColgp_VArrayNodeOfFieldOfHArray2OfDir2d, PColgp_VArrayNodeOfFieldOfHArray2OfLin2d, PColgp_VArrayNodeOfFieldOfHArray2OfPnt, PColgp_VArrayNodeOfFieldOfHArray2OfPnt2d, PColgp_VArrayNodeOfFieldOfHArray2OfVec, PColgp_VArrayNodeOfFieldOfHArray2OfVec2d, PColgp_VArrayNodeOfFieldOfHArray2OfXY, PColgp_VArrayNodeOfFieldOfHArray2OfXYZ, PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve, PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBoundedCurve, PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBSplineCurve, PColPGeom2d_VArrayNodeOfFieldOfHArray1OfCurve, PColPGeom_VArrayNodeOfFieldOfHArray1OfBezierCurve, PColPGeom_VArrayNodeOfFieldOfHArray1OfBoundedCurve, PColPGeom_VArrayNodeOfFieldOfHArray1OfBoundedSurface, PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve, PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve, PColPGeom_VArrayNodeOfFieldOfHArray1OfSurface, PColPGeom_VArrayNodeOfFieldOfHArray2OfBezierSurface, PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface, PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface, PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface, PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString, PColStd_VArrayNodeOfFieldOfHArray1OfInteger, PColStd_VArrayNodeOfFieldOfHArray1OfPersistent, PColStd_VArrayNodeOfFieldOfHArray1OfReal, PColStd_VArrayNodeOfFieldOfHArray2OfInteger, PColStd_VArrayNodeOfFieldOfHArray2OfPersistent, PColStd_VArrayNodeOfFieldOfHArray2OfReal, PDataStd_VArrayNodeOfFieldOfHArray1OfByte, PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger, PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal, PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString, PDF_VArrayNodeOfFieldOfHAttributeArray1, PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape, PPoly_VArrayNodeOfFieldOfHArray1OfTriangle, PShort_VArrayNodeOfFieldOfHArray1OfShortReal, PShort_VArrayNodeOfFieldOfHArray2OfShortReal, PTopoDS_VArrayNodeOfFieldOfHArray1OfHShape, and PTopoDS_VArrayNodeOfFieldOfHArray1OfShape1.

The documentation for this class was generated from the following file:

- PStandard_ArrayNode.hxx